Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.persistence.meta
Class AnnotationProcessor6

    java.lang.Object
      javax.annotation.processing.AbstractProcessor
          org.apache.openjpa.persistence.meta.AnnotationProcessor6

All Implemented Interfaces:
  Processor

    @SupportedAnnotationTypes(value={"javax.persistence.Entity","javax.persistence.Embeddable","javax.persistence.MappedSuperclass"})
    @SupportedOptions(value={"openjpa.log","openjpa.source","openjpa.naming","openjpa.header","openjpa.metamodel"})
    @SupportedSourceVersion(value=RELEASE_6)
    public class AnnotationProcessor6

extends AbstractProcessor

Annotation processing tool generates source code for a meta-model class given the annotated source code of persistent entity.

This tool is invoked during compilation for JDK6 compiler if

- OpenJPA and JPA libraries are available in the compiler classpath and
- Annotation Processor option `-Aopenjpa.metamodel=true` is specified.

Usage
`$ javac -classpath path/to/openjpa-all.jar -Aopenjpa.metamodel=true mypackage/MyEntity.java`
will generate source code for canonical meta-model class `mypackage.MyEntity_.java`. The source code is generated relative to the directory specified in `-s` option of `javac` compiler and defaulted to the current directory.

The Annotation Processor also recognizes the following options (none of them are mandatory):

-Aopenjpa.log={log level} | The logging level. Default is `WARN`. Permissible values are `TRACE`, `INFO`, `WARN` or `ERROR`.
-Aopenjpa.source={n} | Java source version of the generated code. Default is `6`.
-Aopenjpa.naming={class name} | fully-qualified name of a class implementing `org.apache.openjpa.meta.MetaDataFactory` that determines the name of a meta-class given the name of the original persistent Java entity class. Defaults to `org.apache.openjpa.persistence.PersistenceMetaDataFactory` which appends a underscore character (`_`) to the original Java class name.
-Aopenjpa.header={url} | A url whose content will appear as comment header to the generated file(s). Recognizes special value `ASL` for Apache Source License header as comment. By default adds a OpenJPA proprietary text.

Since:
  2.0.0
Author:
  Pinaki Poddar

Field Summary

Fields inherited from class javax.annotation.processing.AbstractProcessor
`processingEnv`

Constructor Summary
`AnnotationProcessor6()`

Method Summary
`void` | `init(ProcessingEnvironment processingEnv)` Initialization.
`boolean` | `process(Set<? extends TypeElement> annos, RoundEnvironment roundEnv)` The entry point for java compiler.

Methods inherited from class javax.annotation.processing.AbstractProcessor
`getCompletions, getSupportedAnnotationTypes, getSupportedOptions, getSupportedSourceVersion, isInitialized`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AnnotationProcessor6

    public AnnotationProcessor6()

Method Detail

### init

    public void init(ProcessingEnvironment processingEnv)

  Initialization.

  Specified by:
    `init` in interface `Processor`
  Overrides:
    `init` in class `AbstractProcessor`

### process

    public boolean process(Set<? extends TypeElement> annos,
                           RoundEnvironment roundEnv)

  The entry point for java compiler.

  Specified by:
    `process` in interface `Processor`
  Specified by:
    `process` in class `AbstractProcessor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.